#include <stdio.h>
#include <dos.h>
#include "sysp.h"

void main(void);
void main(void) {

  DISK_CONFIG cfg;
  DPT  _far *dpt_ptr;
  HDPT _far *hdpt1_ptr;
  HDPT _far *hdpt2_ptr;

  printf("\n"
			"\nКонфигурация дисковой подсистемы"
			"\n  (C)Фролов А., 1991"
			"\n");

// Определяем конфигурацию дисковой подсистемы

  disk_cfg(&cfg);

  printf("\nУстановлено:"
			"\n   Флоппи-дисков: %d"
			"\n   Дисков:        %d",
			cfg.n_floppy,
			cfg.n_hard);

  printf("\nТипы флоппи-дисков:  A: - %d, B: - %d"
			"\nТипы дисков:         C: - %d, D: - %d",
			cfg.t_floppy1, cfg.t_floppy2,
			cfg.t_hard1,   cfg.t_hard2);

// Получаем адрес таблицы параметров дискеты

  dpt_ptr = get_dpt();

  printf("\n"
			"\nКод размера сектора дискеты:                   %d"
			"\nЗаполняющий символ для форматирования дискеты: %2.2X",
			dpt_ptr->sec_size,
			dpt_ptr->fill_char);

// Получаем адреса первой и второй таблицы
// параметров жесткого диска

  hdpt1_ptr = get_hdp1();
  hdpt2_ptr = get_hdp2();

  printf("\n"
			"\nПараметры первого диска:"
			"\n   Количество цилиндров:     %d"
			"\n   Количество головок:       %d"
			"\n"
			"\nПараметры второго диска:"
			"\n   Количество цилиндров:     %d"
			"\n   Количество головок:       %d",
			hdpt1_ptr->max_cyl,
			hdpt1_ptr->max_head,
			hdpt2_ptr->max_cyl,
			hdpt2_ptr->max_head);

}
